# $Revision: 1.29 $, $Date: 2008/07/27 23:00:20 $
#
# Conditional build:
%bcond_without	static_libs	# don't build static library
#
Summary:	ax25 libraries for hamradio applications
Summary(pl.UTF-8):	Biblioteki ax25 dla aplikacji hamradio
Name:		libax25
Version:	0.0.11
Release:	3
License:	LGPL
Group:		Libraries
Source0:	http://dl.sourceforge.net/ax25/%{name}-%{version}.tar.gz
# Source0-md5:	c6ea01e81118451e2e892e634c576c17
URL:		http://ax25.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_localstatedir		/var/lib

%description
These libraries are used for applications that need to get to some
special structures used in hamradio.

%description -l pl.UTF-8
Te biblioteki są potrzebne aby uruchamiać programy dla radioamatorów.

%package devel
Summary:	ax25 libraries development files
Summary(pl.UTF-8):	Pliki dla programistów używających bibliotek ax25
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
The extra files needed to compile hamradio utilities.

%description devel -l pl.UTF-8
Dodatkowe pliki potrzebne do kompilacji programów dla radioamatorów.

%package static
Summary:	ax25 static libraries
Summary(pl.UTF-8):	Biblioteki statyczne ax25
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
ax25 static libraries.

%description static -l pl.UTF-8
Biblioteki statyczne ax25.

%prep
%setup -q

%build
rm -f missing
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	%{!?with_static_libs:--disable-static}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_localstatedir}/ax25

%{__make} DESTDIR=${RPM_BUILD_ROOT} install installconf

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS NEWS README ChangeLog
%dir %{_sysconfdir}/ax25
%config(noreplace) %{_sysconfdir}/ax25/axports
%config(noreplace) %{_sysconfdir}/ax25/nrports
%config(noreplace) %{_sysconfdir}/ax25/rsports
%attr(755,root,root) %{_libdir}/libax25*.so.*.*
%dir %{_localstatedir}/ax25
%{_mandir}/man5/*

%files devel
%defattr(644,root,root,755)
%{_libdir}/libax25*.la
%attr(755,root,root) %{_libdir}/libax25*.so
%{_mandir}/man3/*
%{_includedir}/netax25/*

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libax25*.a
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libax25.spec,v $
Revision 1.29  2008/07/27 23:00:20  arekm
- release 3

Revision 1.28  2007-07-23 17:29:50  witekfl
- added missing #

Revision 1.27  2007/02/13 06:46:50  glen
- tabs in preamble

Revision 1.26  2007/02/12 00:49:02  baggins
- converted to UTF-8

Revision 1.25  2006/11/09 20:39:45  glen
- strict internal deps

Revision 1.24  2005/06/15 21:14:59  witekfl
- added header "Conditional build:"

Revision 1.23  2005/06/15 17:30:50  witekfl
- s/bcond_without static/bcond_without static_libs/

Revision 1.22  2005/06/15 15:42:35  witekfl
- added bcond_without static

Revision 1.21  2004/04/26 16:36:57  adamg
- release 2 for Ac (1 is for Ra)

Revision 1.20  2003/09/09 10:24:21  ankry
- spaces -> tab

Revision 1.19  2003/05/28 12:59:26  malekith
- massive attack: source-md5

Revision 1.18  2003/05/25 05:49:45  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.17  2003/04/28 07:03:54  djrzulf
- changelog z tamtego pliku popsuł speca

Revision 1.16  2003/04/27 23:39:14  djrzulf
From ChangeLog:
  * libax25io handles nonblocking io correctly. (PE1RXQ)
  THIS BREAKS PRACTICLY EVERY APP USING THIS LIBRARY, FIX THEM!!!
- updated to 0.0.11,
- STBR,

Revision 1.15  2003/03/03 14:06:58  qboosh
- FHS-compatibility fix (/var/ax25 -> /var/lib/ax25); release 3

Revision 1.14  2003/02/25 11:23:25  qboosh
- working Source0 URL
- found FHS incompliance - added TODO

Revision 1.13  2002/11/25 14:16:51  ankry
- massive attack: no need for 755 for *.la

Revision 1.12  2002/10/09 13:14:37  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.11  2002/06/18 20:55:36  kloczek
- added using more macros, URL and BuildRequitres rules.

Revision 1.10  2002/05/22 08:02:18  qboosh
- removed %{_includedir}/netax25 dir from -devel (belongs to glibc-devel)
- new %doc, release 2

Revision 1.9  2002/05/21 23:13:43  kloczek
- perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
     s/^autoconf/\%\{__autoconf\}/"

Revision 1.8  2002/04/17 21:55:17  djrzulf
- updated to 0.0.10,
- STBR,

Revision 1.7  2002/02/23 03:26:01  kloczek
- adapterized.

Revision 1.6  2002/02/22 23:29:10  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.5  2002/01/18 02:13:37  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.4  2001/10/29 19:35:30  kloczek
- release 2,
- changed Group to Libraries, ad to Development/Libraries in devel and static
  subpackages.

Revision 1.3  2001/10/29 10:13:01  qboosh
- fixes in pl translations

Revision 1.2  2001/10/23 18:36:55  kloczek
- adapterized, rewrited and finished.

Revision 1.1  2001/10/21 19:09:51  djrzulf
- based on spec for RH - rewritten for PLD
